Loading...
Searching...
No Matches
mbedtls_ecdh_context_mbed Struct Reference

`#include <ecdh.h>`

Collaboration diagram for mbedtls_ecdh_context_mbed:
[legend]

## Data Fields

mbedtls_ecp_group | private_grp
mbedtls_mpi | private_d
mbedtls_ecp_point | private_Q
mbedtls_ecp_point | private_Qp
mbedtls_mpi | private_z

## Detailed Description

The context used by the default ECDH implementation.

Later versions might change the structure of this context, therefore users should not make any assumptions about the structure of mbedtls_ecdh_context_mbed.

Definition at line 86 of file ecdh.h.

## Field Documentation

## private_d

mbedtls_mpi mbedtls_ecdh_context_mbed::private_d

The private key.

Definition at line 88 of file ecdh.h.

## private_grp

mbedtls_ecp_group mbedtls_ecdh_context_mbed::private_grp

The elliptic curve used.

Definition at line 87 of file ecdh.h.

## private_Q

mbedtls_ecp_point mbedtls_ecdh_context_mbed::private_Q

The public key.

Definition at line 89 of file ecdh.h.

## private_Qp

mbedtls_ecp_point mbedtls_ecdh_context_mbed::private_Qp

The value of the public key of the peer.

Definition at line 90 of file ecdh.h.

## private_z

mbedtls_mpi mbedtls_ecdh_context_mbed::private_z

The shared secret.

Definition at line 91 of file ecdh.h.

The documentation for this struct was generated from the following file:

- ecdh.h